// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import (
	time "time"

	mock "github.com/stretchr/testify/mock"
)

// JWTConfig is an autogenerated mock type for the JWTConfig type
type JWTConfig struct {
	mock.Mock
}

// Exp provides a mock function with given fields:
func (_m *JWTConfig) Exp() time.Duration {
	ret := _m.Called()

	var r0 time.Duration
	if rf, ok := ret.Get(0).(func() time.Duration); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(time.Duration)
	}

	return r0
}

// Secret provides a mock function with given fields:
func (_m *JWTConfig) Secret() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
